---
title: '::marker'
slug: 'Web/CSS/::marker'
tags:
  - CSS
  - CSS Lists
  - Experimental
  - Layout
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>::marker</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en/CSS/Pseudo-elements">pseudo-element</a> selects the marker box of a list item, which typically contains a bullet or number.</span> It works on any element or pseudo-element set to <code><a href="/en-US/docs/Web/CSS/display">display: list-item</a></code>, such as the {{HTMLElement("li")}} and {{HTMLElement("summary")}} elements.</p>

<pre class="brush: css no-line-numbers notranslate">::marker {
  color: blue;
  font-size: 1.2em;
}</pre>

<h2 id="Allowable_properties">Allowable properties</h2>

<p>Only certain CSS properties can be used in a rule with <code>::marker</code> as a selector:</p>

<ul>
 <li>All <a href="/en-US/docs/Web/CSS/CSS_Fonts">font properties</a></li>
 <li>The {{CSSxRef("white-space")}} property</li>
 <li>{{CSSxRef("color")}}</li>
 <li>{{CSSxRef("text-combine-upright")}}, {{CSSxRef("unicode-bidi")}} and {{CSSxRef("direction")}} properties</li>
 <li>The {{CSSxRef("content")}} property</li>
 <li>All <a href="/en-US/docs/Web/CSS/CSS_Animations#CSS_Properties">animation</a> and <a href="/en-US/docs/Web/CSS/CSS_Transitions#Properties">transition</a> properties</li>
</ul>

<div class="notecard note">
<p>The specification states that additional CSS properties may be supported in future.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;Peaches&lt;/li&gt;
  &lt;li&gt;Apples&lt;/li&gt;
  &lt;li&gt;Plums&lt;/li&gt;
&lt;/ul&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">ul li::marker {
  color: red;
  font-size: 1.5em;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#marker-pseudo', '::marker')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>No significant change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Lists', '#marker-pseudo', '::marker')}}</td>
   <td>{{Spec2('CSS3 Lists')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.marker")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTML elements that have marker boxes by default: {{HTMLElement("ol")}}, {{HTMLElement("li")}}, {{HTMLElement("summary")}}</li>
</ul>
